<?php
/* 
 * App Logic
 */

if(isset($_GET['search-url'])) {

	$url = trim(strip_tags($_GET['search-url']));

	//check if url is valid
	if(!validate_url($url)) {
		load_layout('url-error');
		exit;
	}

	$data['url'] = $url;

	//check if url is cached
	$cached = is_url_cached($url);
	if($cached !== FALSE) {
		$data['counts'] = unserialize($cached);
		
	}else{
		//if not cached
		$json = file_get_contents("http://api.sharedcount.com/?url=" . rawurlencode($url));

		if($json !== FALSE) {
			$counts = (object) json_decode($json, true);

			$data['counts'] = $counts;

			//cache URL
			cache_url_data($url, $counts);
		}else{
			
			load_layout('api-error');
			exit;

		}
	}

}else{

	header("Location: " . SITE_URL);
	exit;

}


/*
 * Load 404 Page
 */
load_layout('social-stats', $data);
